Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Developer
Kaz32
Posts: 230
Registered: ‎11-24-2012
My Carrier: Telkomsel

Ask About SDK 10.1

Hi, I'm look on Update Native SDK button on IDE, there is a new SDK 10.1

 

But there is a lot of SDK, which one I must select?

If I develop for Dev Alpha and Z10 device / Q10 device

Because right now I'm still use dev alha for testing / debug

 

(I'm try the SDK 10.1.0.1020, but there is a lot error for my previous project. Before was no error. How to solve this?)

 

Thanks

Please use plain text.
Developer
BBSJdev
Posts: 4,902
Registered: ‎07-05-2012
My Carrier: Orange

Re: Ask About SDK 10.1

[ Edited ]

If you will be developing for the Q10 then you should be using SDK 10.1.

 

However until it's released you can build to a previous release using the same IDE installed with 10.1.

 

If they are not already present click on the 'Update Native SDK' button to add the one you wish to target.

 


If you've been helped click on Like Button, if you've been saved buy the app. :smileyhappy:

Developer of stokLocker, Sympatico and Super Sentences.
Please use plain text.
Developer
Kaz32
Posts: 230
Registered: ‎11-24-2012
My Carrier: Telkomsel

Re: Ask About SDK 10.1

Is that I need to uninstall my previous SDK and install SDK 10.1?

 

Or enough via Update Native SDK button?

 

Thanks

Please use plain text.
Developer
simon_hain
Posts: 15,558
Registered: ‎07-29-2008
My Carrier: O2 Germany

Re: Ask About SDK 10.1

You can develop for the Q10 with 10.0 as well, no need to go with 10.1 if you don't need any of the new APIs.

Momentics automatically updates when you install 10.1.0.1020 using update sdk, no need to do anything else.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.
Developer
BBSJdev
Posts: 4,902
Registered: ‎07-05-2012
My Carrier: Orange

Re: Ask About SDK 10.1

Hi Simon,

 

I've already moved on to 10.1, so just for clarity can you be sure all the asset selector, QML editing, code highlighting and code completion features work if you try and develop for Q10 on the 10.0 IDE?

 

 


If you've been helped click on Like Button, if you've been saved buy the app. :smileyhappy:

Developer of stokLocker, Sympatico and Super Sentences.
Please use plain text.